Subject: [Q] fast integer array sending

From: ¸ÍÇý¼± <[email-masked]>
Date: Tue, 10 Mar 1998 11:20:50 +-900

Hi! everyone.
	I am writing a parallel and distributed program with java.
	In this program, one application on web server machine should communicate with many 
	applets which are downloaded from this web server machine and executed on the 
	other machines. The application opens socket connection and waits for
	any applet's request. When an applet sends request, the application and an applet 
	can communicate via socket.
	I used DataInputStream class and DataOutputStream class to write and read socket.
	I would like to send big integer array from application to applet and from applet to application.
	So I used DataInputStream and DataOutputStream class and its member method writeInt(int).
	But it is very slow to send one integer after another. 
	If I want to send 1000 integer array, I have used 
	for (i=0; i<1000; ++i)
	  writeInt(a[i]);

	I think there might be more powerful method to send integer array via socket.
	But I don't know what the method is.
	If you know it, please let me know it. It will be very much help to my research.
	sincerely yours.

	Hye-Seon Maeng 	([email-masked])

	Parallel Processing System Lab.
	Computer Science Dept.
	Yonsei University Seoul Korea